#
# Table structure for table `products_availability` `products_delivery` `products_guaranty` 
#
# v v 1.03 2003/11/09
#

DROP TABLE IF EXISTS `products_availability`;
CREATE TABLE `products_availability` (
  `products_availability_id` int(11) NOT NULL auto_increment,
  `language_id` int(11) NOT NULL default '1',
  `products_availability_name` varchar(255) NOT NULL default '',
  `date_added` datetime default NULL,
  `last_modified` datetime default NULL,
  PRIMARY KEY  (`products_availability_id`,`language_id`),
  KEY `IDX_PRODUCTS_AVAILABILITY_NAME` (`products_availability_name`)
);

DROP TABLE IF EXISTS `products_delivery`;
CREATE TABLE `products_delivery` (
  `products_delivery_id` int(11) NOT NULL auto_increment,
  `language_id` int(11) NOT NULL default '1',
  `products_delivery_name` varchar(255) NOT NULL default '',
  `date_added` datetime default NULL,
  `last_modified` datetime default NULL,
  PRIMARY KEY  (`products_delivery_id`,`language_id`),
  KEY `IDX_PRODUCTS_DELIVERY_NAME` (`products_delivery_name`)
);

DROP TABLE IF EXISTS `products_guaranty`;
CREATE TABLE `products_guaranty` (
  `products_guaranty_id` int(11) NOT NULL auto_increment,
  `language_id` int(11) NOT NULL default '1',
  `products_guaranty_name` varchar(255) NOT NULL default '',
  `date_added` datetime default NULL,
  `last_modified` datetime default NULL,
  PRIMARY KEY  (`products_guaranty_id`,`language_id`),
  KEY `IDX_PRODUCTS_GUARANTY_NAME` (`products_guaranty_name`)
);

ALTER TABLE `products` ADD `products_availability_id` VARCHAR( 255 ) ;

ALTER TABLE `products` ADD `products_delivery_id` VARCHAR( 255 ) ;

ALTER TABLE `products` ADD `products_guaranty_id` VARCHAR( 255 ) ;

INSERT INTO `configuration` VALUES ('', 'Product Availability List', 'MAX_DISPLAY_PRODUCTS_AVAILABILITY_IN_A_LIST', '1', 'Used in Product Availability; when the number of Product Availability options exceeds this number, a drop-down list will be displayed instead of the default list', 7, 97, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES ('', 'Product Availability Select Size', 'MAX_PRODUCTS_AVAILABILITY_LIST', '1', 'Used in Product Availability; when this value is \'1\' the classic drop-down list will be used for Product Availability. Otherwise, a list-box with the specified number of rows will be displayed.', 7, 98, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES ('', 'Display Product Availability', 'PRODUCT_LIST_PRODUCTS_AVAILABILITY', '1', 'Do you want to display Product Availability?', 8, 99, NULL, now(), NULL, NULL);

INSERT INTO `configuration` VALUES ('', 'Product Delivery List', 'MAX_DISPLAY_PRODUCTS_DELIVERY_IN_A_LIST', '1', 'Used in Product Delivery; when the number of Product Delivery options exceeds this number, a drop-down list will be displayed instead of the default list', 7, 97, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES ('', 'Product Delivery Select Size', 'MAX_PRODUCTS_DELIVERY_LIST', '1', 'Used in Product Delivery; when this value is \'1\' the classic drop-down list will be used for Product Delivery. Otherwise, a list-box with the specified number of rows will be displayed.', 7, 98, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES ('', 'Display Product Delivery', 'PRODUCT_LIST_PRODUCTS_DELIVERY', '1', 'Do you want to display Product Delivery?', 8, 99, NULL, now(), NULL, NULL);

INSERT INTO `configuration` VALUES ('', 'Product Guaranty List', 'MAX_DISPLAY_PRODUCTS_GUARANTY_IN_A_LIST', '1', 'Used in Product Guaranty; when the number of Product Guaranty options exceeds this number, a drop-down list will be displayed instead of the default list', 7, 97, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES ('', 'Product Guaranty Select Size', 'MAX_PRODUCTS_GUARANTY_LIST', '1', 'Used in Product Guaranty; when this value is \'1\' the classic drop-down list will be used for Product Guaranty. Otherwise, a list-box with the specified number of rows will be displayed.', 7, 98, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES ('', 'Display Product Guaranty', 'PRODUCT_LIST_PRODUCTS_GUARANTY', '1', 'Do you want to display Product Guaranty?', 8, 99, NULL, now(), NULL, NULL);

