DROP TABLE IF EXISTS `products_availability`;
CREATE TABLE `products_availability` (
  `products_availability_id` int(11) NOT NULL auto_increment,
  `language_id` int(11) NOT NULL default '1',
  `products_availability_name` varchar(255) NOT NULL default '',
  `date_added` datetime default NULL,
  `last_modified` datetime default NULL,
  PRIMARY KEY  (`products_availability_id`,`language_id`),
  KEY `IDX_PRODUCTS_AVAILABILITY_NAME` (`products_availability_name`)
);

DROP TABLE IF EXISTS `products_delivery`;
CREATE TABLE `products_delivery` (
  `products_delivery_id` int(11) NOT NULL auto_increment,
  `language_id` int(11) NOT NULL default '1',
  `products_delivery_name` varchar(255) NOT NULL default '',
  `date_added` datetime default NULL,
  `last_modified` datetime default NULL,
  PRIMARY KEY  (`products_delivery_id`,`language_id`),
  KEY `IDX_PRODUCTS_DELIVERY_NAME` (`products_delivery_name`)
);

DROP TABLE IF EXISTS `products_guaranty`;
CREATE TABLE `products_guaranty` (
  `products_guaranty_id` int(11) NOT NULL auto_increment,
  `language_id` int(11) NOT NULL default '1',
  `products_guaranty_name` varchar(255) NOT NULL default '',
  `date_added` datetime default NULL,
  `last_modified` datetime default NULL,
  PRIMARY KEY  (`products_guaranty_id`,`language_id`),
  KEY `IDX_PRODUCTS_GUARANTY_NAME` (`products_guaranty_name`)
);

ALTER TABLE `products` ADD `products_availability_id` VARCHAR( 255 ) ;

ALTER TABLE `products` ADD `products_delivery_id` VARCHAR( 255 ) ;

ALTER TABLE `products` ADD `products_guaranty_id` VARCHAR( 255 ) ;

INSERT INTO `configuration` VALUES ('', 'Lista disponibilidad de productos', 'MAX_DISPLAY_PRODUCTS_AVAILABILITY_IN_A_LIST', '1', 'Cuando el numero de opciones excede este numero, una lista desplegable se mostrara en lugar de la lista por defecto', 7, 97, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES ('', 'Tamao lista disponibilidad', 'MAX_PRODUCTS_AVAILABILITY_LIST', '1', 'Cuando este valor es \'1\' la clasica lista desplegable se utilizara para mostrar la disponibilidad del producto, de lo contrario se mostrara en una caja una lista con el nmero especificado de filas', 7, 98, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES ('', 'Mostrar disponibilidad de los productos', 'PRODUCT_LIST_PRODUCTS_AVAILABILITY', '1', 'Quiere mostrar la disponibilidad del producto?', 8, 99, NULL, now(), NULL, NULL);

INSERT INTO `configuration` VALUES ('', 'Lista entrega de productos', 'MAX_DISPLAY_PRODUCTS_DELIVERY_IN_A_LIST', '1', 'Cuando el numero de opciones excede este numero, una lista desplegable se mostrara en lugar de la lista por defecto', 7, 97, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES ('', 'Tamao lista entrega', 'MAX_PRODUCTS_DELIVERY_LIST', '1', 'Cuando este valor es \'1\' la clasica lista desplegable se utilizara para mostrar la entrega del producto, de lo contrario se mostrara en una caja una lista con el nmero especificado de filas', 7, 98, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES ('', 'Mostrar entrega de los productos', 'PRODUCT_LIST_PRODUCTS_DELIVERY', '1', 'Quiere mostrar la entrega del producto?', 8, 99, NULL, now(), NULL, NULL);

INSERT INTO `configuration` VALUES ('', 'Lista garantia de productos', 'MAX_DISPLAY_PRODUCTS_GUARANTY_IN_A_LIST', '1', 'Cuando el numero de opciones excede este numero, una lista desplegable se mostrara en lugar de la lista por defecto', 7, 97, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES ('', 'Tamao lista garantia', 'MAX_PRODUCTS_GUARANTY_LIST', '1', 'Cuando este valor es \'1\' la clasica lista desplegable se utilizara para mostrar la garantia del producto, de lo contrario se mostrara en una caja una lista con el nmero especificado de filas', 7, 98, NULL, now(), NULL, NULL);
INSERT INTO `configuration` VALUES ('', 'Mostrar garantia de productos', 'PRODUCT_LIST_PRODUCTS_GUARANTY', '1', 'Quiere mostrar la garantia del producto?', 8, 99, NULL, now(), NULL, NULL);
99, NULL, now(), NULL, NULL);